> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cubelify Client Information

> Retrieves Cubelify client information for a given player UUID. This includes details like client ID, name, online status, and status message.



## OpenAPI

````yaml https://stash.seraph.si/json get /cubelify/{player}/client
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /cubelify/{player}/client:
    get:
      tags:
        - Client
      summary: Get Cubelify Client Information
      description: >-
        Retrieves Cubelify client information for a given player UUID. This
        includes details like client ID, name, online status, and status
        message.
      parameters:
        - description: The UUID of the player to retrieve client information for
          in: path
          name: player
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.ClientResponse'
          description: Successfully retrieved client information
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid player UUID
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: >-
            Internal server error, e.g., issues fetching data from external
            client API
components:
  schemas:
    routes.ClientResponse:
      properties:
        clients:
          items:
            $ref: '#/components/schemas/routes.ClientInfo'
          type: array
          uniqueItems: false
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    routes.ClientInfo:
      properties:
        client:
          type: string
        clientId:
          type: string
        data:
          $ref: '#/components/schemas/routes.ClientData'
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object
    routes.ClientData:
      properties:
        online:
          type: boolean
        status:
          type: string
      type: object

````